The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Error on "Upgrade to Latest Version"

Discussion in 'Database Discussions' started by savage75, Jul 9, 2015.

  1. savage75

    savage75 Member

    Joined:
    Jun 18, 2014
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Hello,
    I wonder what is the problem when i try to upgrade cpanel to latest version.

    Code:
    [20150709.135407]   All files Staged
    [20150709.135407]   Testing if the newly downloaded RPMS can be installed without conflict
    [20150709.135407]   Testing RPM transaction
    [20150709.135408]   error: Failed dependencies:
    [20150709.135408]     cpanel-elfinder is needed by cpanel-elfinder-devel-2.0.rc1-3.cp1140.noarch
    [20150709.135408] W Exit Code: 198
    [20150709.135408] ***** FATAL: Test install failed: error: Failed dependencies:
    [20150709.135408]     cpanel-elfinder is needed by cpanel-elfinder-devel-2.0.rc1-3.cp1140.noarch
    [20150709.135408]   The Administrator will be notified to review this output when this script completes
    [20150709.135408] ***** FATAL: Error testing if the RPMs will install: Died at /usr/local/cpanel/scripts/updatenow.static-cpanelsync line 14065.
    
    please let me know how i can solve the problem.

    thanks in advance
     
  2. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,451
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
  3. savage75

    savage75 Member

    Joined:
    Jun 18, 2014
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Hi,
    I still have the problem and i can't find anything regarding
    cpanel-elfinder ?

    any help with this !
     
  4. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,451
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
    What part of the docs did you have an issue with? You won't find the exact RPM name there, but you can use the example, and replace that RPM name, with the one you're having an issue with.
     
  5. savage75

    savage75 Member

    Joined:
    Jun 18, 2014
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    The error

    Code:
    Testing if the newly downloaded RPMS can be installed without conflict
    [20150709.143202]   Testing RPM transaction
    [20150709.143203]   error: Failed dependencies:
    [20150709.143203]     cpanel-elfinder is needed by cpanel-elfinder-devel-2.0.rc1-3.cp1140.noarch
    [20150709.143203] W Exit Code: 198
    [20150709.143203] ***** FATAL: Test install failed: error: Failed dependencies:
    [20150709.143203]     cpanel-elfinder is needed by cpanel-elfinder-devel-2.0.rc1-3.cp1140.noarch
    [20150709.143203]   The Administrator will be notified to review this output when this script completes
    [20150709.143203] ***** FATAL: Error testing if the RPMs will install: Died at /usr/local/cpanel/scripts/updatenow.static-cpanelsync line 14065.
    do you think removing the "panel-elfinder-devel-2.0.rc1-3.cp1140.noarch" will solve the problem ?
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,723
    Likes Received:
    660
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
  7. savage75

    savage75 Member

    Joined:
    Jun 18, 2014
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Hi,
    Sorry but just nothing (no outputs) !
     
  8. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,451
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
    Do you have root access to this server? Assume you do, were you logged in as root when you ran the command?
     
  9. savage75

    savage75 Member

    Joined:
    Jun 18, 2014
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    yes I have root access.
    the problem is that this VPS has problem that goes down by itself everyday at the same time and I have to restart it again.
    I had support ticket with Cpanel regarding the problem and they couldn't find the reason ! so I was thinking to upgrade the server to latest may that give me more information regarding the issue or may fix the problem !
     
  10. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,451
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
    Could you please post the ticket ID here?
     
  11. savage75

    savage75 Member

    Joined:
    Jun 18, 2014
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    yes of course its 6287907
     
  12. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,451
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
    The ticket auto closed due to no activity. You might reply to the ticket to reopen (or open a new ticket) and ask cPanel Technical Support if they'll force an update for you. That ticket and this thread are different topics.

    Good idea. According to the ticket you're on 11.40 which was EOL'd back in 2014:
    Notice: 11.40 Now EOL - cPanel Forums
     
Loading...

Share This Page